"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Container = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _breakpoint = _interopRequireDefault(require("../../utilities/breakpoint"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject2() {
  var data = _taggedTemplateLiteral(["", ""]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  margin: 0 auto;\n  width: 100%;\n  position: relative;\n  padding: 16px;\n  ", "\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var getMaxWidth = function getMaxWidth(_ref) {
  var fluid = _ref.fluid,
      width = _ref.width;
  return {
    maxWidth: fluid ? '100%' : "".concat(width, "px")
  };
};

var Container = _styledComponents.default.div(_templateObject(), _breakpoint.default.md(_templateObject2(), getMaxWidth));

exports.Container = Container;