"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mx = exports.my = exports.mr = exports.ml = exports.mb = exports.mt = exports.m = void 0;

var _styledComponents = require("styled-components");

var _spacing = _interopRequireDefault(require("./spacing"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject7() {
  var data = _taggedTemplateLiteral(["\n    margin-left: ", "px;\n    margin-right: ", "px;\n  "]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = _taggedTemplateLiteral(["\n    margin-top: ", "px;\n    margin-bottom: ", "px;\n  "]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = _taggedTemplateLiteral(["margin-right: ", "px;"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteral(["margin-left: ", "px;"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteral(["margin-bottom: ", "px;"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["margin-top: ", "px;"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["margin: ", "px;"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var m = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(_templateObject(), _spacing.default[label]);
  return acc;
}, {});
exports.m = m;
var mt = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(_templateObject2(), _spacing.default[label]);
  return acc;
}, {});
exports.mt = mt;
var mb = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(_templateObject3(), _spacing.default[label]);
  return acc;
}, {});
exports.mb = mb;
var ml = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(_templateObject4(), _spacing.default[label]);
  return acc;
}, {});
exports.ml = ml;
var mr = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(_templateObject5(), _spacing.default[label]);
  return acc;
}, {});
exports.mr = mr;
var my = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(_templateObject6(), _spacing.default[label], _spacing.default[label]);
  return acc;
}, {});
exports.my = my;
var mx = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(_templateObject7(), _spacing.default[label], _spacing.default[label]);
  return acc;
}, {});
exports.mx = mx;