"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.px = exports.py = exports.pr = exports.pl = exports.pb = exports.pt = exports.p = void 0;

var _styledComponents = require("styled-components");

var _spacing = _interopRequireDefault(require("./spacing"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject7() {
  var data = _taggedTemplateLiteral(["\n    padding-left: ", "px;\n    padding-right: ", "px;\n  "]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = _taggedTemplateLiteral(["\n    padding-top: ", "px;\n    padding-bottom: ", "px;\n  "]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = _taggedTemplateLiteral(["padding-right: ", "px;"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteral(["padding-left: ", "px;"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteral(["padding-bottom: ", "px;"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["padding-top: ", "px;"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["padding: ", "px;"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var p = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(_templateObject(), _spacing.default[label]);
  return acc;
}, {});
exports.p = p;
var pt = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(_templateObject2(), _spacing.default[label]);
  return acc;
}, {});
exports.pt = pt;
var pb = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(_templateObject3(), _spacing.default[label]);
  return acc;
}, {});
exports.pb = pb;
var pl = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(_templateObject4(), _spacing.default[label]);
  return acc;
}, {});
exports.pl = pl;
var pr = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(_templateObject5(), _spacing.default[label]);
  return acc;
}, {});
exports.pr = pr;
var py = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(_templateObject6(), _spacing.default[label], _spacing.default[label]);
  return acc;
}, {});
exports.py = py;
var px = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(_templateObject7(), _spacing.default[label], _spacing.default[label]);
  return acc;
}, {});
exports.px = px;