"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  position: fixed;\n  top: 0;\n  left: 0;\n  right: 0;\n  bottom: 0;\n  background-color: ", ";\n  z-index: 100;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var displayName = 'LayerOverlay';
var propTypes = {};
var defaultProps = {};

var LayerOverlay = _styledComponents.default.div(_templateObject(), function (props) {
  return props.overlay ? 'rgba(0,0,0,0.1)' : 'transparent';
});

LayerOverlay.displayName = displayName;
LayerOverlay.propTypes = propTypes;
LayerOverlay.defaultProps = defaultProps;
var _default = LayerOverlay;
exports.default = _default;